import sys

# -*- coding: utf-8 -*-

from Crypto.Cipher import AES
from Crypto.Random import get_random_bytes
from Crypto.Util.Padding import pad, unpad


# 키 생성
key = get_random_bytes(16)

# AES 암호화 객체 생성
cipher = AES.new(key, AES.MODE_CBC)

# 평문 데이터
plaintext = "Hello, It's a secret message "

# 평문 데이터를 바이트로 변환하고 패딩 적용
plaintext_bytes = plaintext.encode('utf-8')
padded_data = pad(plaintext_bytes, AES.block_size)

# 암호화
ciphertext = cipher.encrypt(padded_data)

# 암호문 출력
print("암호문:", ciphertext.decode(sys.stdout.encoding, errors='replace'))

# 복호화를 위한 AES 객체 생성
decipher = AES.new(key, AES.MODE_CBC, iv=cipher.iv)

# 복호화
decrypted_data = unpad(decipher.decrypt(ciphertext), AES.block_size)

# 복호화된 데이터 출력
print("복호화된 데이터:", decrypted_data.decode('utf-8'))
